System 2.0.0.0 4.0.0.0 System.Collections.ObjectModel.Collection<System.Net.Mail.MailAddress> System.Net.Mail.MailAddress

The , , and properties return instances of this class that are used to hold the respective e-mail addresses.

For details on the mail address formats supported by the class, see the class.

Store e-mail addresses that are associated with an e-mail message.

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes an empty instance of the class.

- Method
  2.0.0.0
  4.0.0.0
  System.Void ``

  If multiple e-mail addresses separated with a semicolon character (";") are passed in the parameter. a exception is raised.

  Add a list of e-mail addresses to the collection.

  The e-mail addresses to add to the . Multiple e-mail addresses must be separated with a comma character (",").
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added.

  Inserts an e-mail address into the , at the specified location.

  The location at which to insert the e-mail address that is specified by . The e-mail address to be inserted into the collection.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added.

  Replaces the element at the specified index.

  The index of the e-mail address element to be replaced. An e-mail address that will replace the element in the collection.
- Method
  2.0.0.0
  4.0.0.0
  System.String

  When this collection contains multiple addresses, they are separated by a comma character (",").

  Returns a string representation of the e-mail addresses in this object.

  A containing the e-mail addresses in this collection.